<?php
//クラスを定義/////////////////////////////////////////////////////////////////
class INSTALL_PRESS_VARS3
{

//ver2.4 2018.04.24
//式と値のデリミタはタブとイコール ラベルのデリミタはタブとコメント
//ラベルの##は改行に変換 値の#Nは改行に変換 #Hは水平線に変換 値中の{QUOT}は二重引用符に置き換わる
//初期値へのロールバックは {ROLLBACK} と入力して保存する
//__none値がある場合は空にする
//#TAはテキストエリア
//#TEはテキストエディタ
//#CAT_CBはカテゴリチェックボックス
//#PST_CBは投稿タイプチェックボックス
//#PST_SBは投稿タイプセレクトボックス
//#UID_CBはユーザーIDチェックボックス
//#UID_SBはユーザーセレクトボックス
//#UID_MSBはユーザーマルチセレクトボックス
//#RB{{する::1==1}}{{しない::0}} ラジオボタン
//#CB{{選択肢1::1==1}}{{選択肢2::2}} チェックボックス
//#SB{{選択肢1::1==1}}{{選択肢2::2}} セレクトボックス
//#MSB{{選択肢1::1==1}}{{選択肢2::2}} マルチセレクトボックス
//#CMB{{選択肢1::選択肢2::選択肢3}}コンボボックスはセレクトボックスとテキストボックスの機能を兼ね備えています
//#CMB{{--VARS--::CMB_STYLE_LIST}}データリストを定義変数から取得する
//#UPはメディアライブラリ呼び出し
//#CPはカラーピッカー呼び出し
//#FSは可変関数でフリースペースへ
//#LK{{http://hoge.com/::リンク}}はリンクに変換
//#DGはグレー表示で無効 プラグインのヘッダDescriptionに#DEMOと入れると有効化
//#DUはユーザー権限「demouser」に対してパスワードやトークンなど表示したくない項目を非表示にする
//#HELP{{説明文}}HELP# スライド式説明文を表示 HTMLタグ使用可
//#TAB{{タブ名}} インナータブ機能追加
//#ACDS1[[タイトル::説明文1==active]]はレベル1アコーディオンの開始タグ
//#ACDE1はレベル1アコーディオンの終了タグ
//#ACDS2[[タイトル::説明文1==active]]はレベル2アコーディオンの開始タグ
//#ACDE2はレベル2アコーディオンの終了タグ
//#ACDS3[[タイトル::説明文1==active]]はレベル3アコーディオンの開始タグ
//#ACDE3はレベル3アコーディオンの終了タグ
//#_FONT_#_#はフォント関連プロパティ編集画面
//#_BACK_#は背景関連プロパティ編集画面
//#_SPACE_#はスペース関連プロパティ編集画面
//#_BORDER_#はボーダー関連プロパティ編集画面


//<マニュアル:install-press3-manual>

	const MANUAL			= 1;	//#FS

//</マニュアル>



//<環境設定:install-press3-joint-setting>

	const AUTHORITY			= "administrator,author";	//#CB{{管理者::administrator==1}}{{編集者::editor}}{{投稿者::author==1}}{{寄稿者::contributor}}{{購読者::subscriber}}ピックアップするユーザー権限#HELP{{選択可能なユーザー権限を指定}}HELP#

//</環境設定>



//<内部設定:install-press3-inner-setting>

	const TUTORIAL_FUNC		= 1;								//#RB{{する::1==1}}{{しない::0}}マニュアルメニューを表示するか

	const MENU_PREFIX		= "Install Press3";					//メニュー名プレフィックス

	const RESET_NAME		= "mhs-Install-Press3-reset";			//リセット名

//移植項目
	const DOWNLOAD_LISTS_NAME	= "mhs-Install-Press3-download_lists";		//ダウンロードリスト名
	const USER_ENTRY_NAME		= "mhs-Install-Press3-user_entry";			//ユーザー登録名
	const PURCHASE_LICENCE_NAME	= "mhs-Install-Press3-purchase_licence";	//ライセンス購入

	const TUTORIAL_NAME		= "mhs-Install-Press3-tutorial";		//マニュアル名
	const IMPORT_NAME		= "mhs-Install-Press3-import";			//設定インポート名
	const EXPORT_NAME		= "mhs-Install-Press3-export";			//設定エクスポート名
	const THEME_CHANGE_NAME	= "mhs-Install-Press3-theme_change";	//テーマチェンジ名
	const SETTING_FILE_NAME	= "class_vars.php";					//この設定ファイル名
	const SETTING_EXPORT_FILE	= "setting_export.dat";			//エクスポートする設定ファイル名
	const SETTING_IMPORT_FILE	= "setting_import.dat";			//インポートする設定ファイル名
//移植項目

	const NOUNCE_KEY		= "install-press3";					//nounceキー
	const CMD				= "cmd";							//保存コマンド

//</内部設定>


	//プライベート変数を定義
	private $vars = array();

	//コンストラクタ 最初にやる処理をここに記述しておく////////////////////////
	function __construct()
	{
		//設定画面操作系クラスを作成
		$mhs_Setting	= new mhs_Setting2();

		$this->vars = $mhs_Setting->LOAD_SETUP_VAR( __FILE__ );
	}
	//セッターメソッド/////////////////////////////////////////////////////////
	function __set( $key , $value )
	{
		$this->$key = $value;
		return $this->vars[ $key ];
    }
	//ゲッターメソッド/////////////////////////////////////////////////////////
	function __get( $key )
	{
		return $this->vars[ $key ];
    }

}
?>