<?php
defined( 'ABSPATH' ) || exit; 
/*
Plugin Name: install press3
Plugin URI: https://wp-plugin.info/
Description: バージョン3系プラグインの体験版をインストールするためのプラグイン。
Version: 0.8.4.2
Notice: 1
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2023-03-23
Changelog: 初リリース
2023-03-23 0.8.0 初リリース
*/
 if( class_exists( 'JointPress2' ) ) { require_once( dirname( __FILE__ ) . '/class_vars.php' );  $INSP_V3 = new INSTALL_PRESS_VARS3();   $INSP3 = new InstallPress3(); } else {  if(! function_exists( 'JOINTPRESS_DASHBOARD_NOTICE' ) ) {  add_action( 'admin_notices' , 'JOINTPRESS_DASHBOARD_NOTICE' );  function JOINTPRESS_DASHBOARD_NOTICE() { ?>

<div class="error">
	<p style="font-size:1.5rem; color:red;">共通ライブラリプラグイン Joint Press2がインストールされていません。<br>
先にJoint Press2をインストールして下さい。</p>
	<p style="font-size:1.5rem; color:red;">Joint Press2のダウンロードは<a href="<?php echo 'https://wp-plugin.info/wp-content/uploads/mhs-joint-press2.zip'; ?>">こちら</a>から可能です。</p>
</div>
<?php
 } } } class InstallPress3 {  function __construct() { global $INSP_V3;  add_action( 'init' , array( &$this , 'VERSION_CHECK_WRAPPER' ) );  add_action( 'admin_notices' , array( &$this , 'USER_DASHBOARD_NOTICE' ) );  add_action( 'wp_ajax_' . pathinfo( __FILE__ , PATHINFO_FILENAME ) . '-save_user_data', array( &$this , 'AJAX_SAVE_USER_DATA' ) );  add_action( 'wp_ajax_' . pathinfo( __FILE__ , PATHINFO_FILENAME ) . '-user_entry', array( &$this , 'AJAX_USER_ENTRY' ) );  add_action( 'wp_ajax_' . pathinfo( __FILE__ , PATHINFO_FILENAME ) . '-user_entry_do', array( &$this , 'AJAX_USER_ENTRY_DO' ) );  add_action( 'wp_ajax_' . pathinfo( __FILE__ , PATHINFO_FILENAME ) . '-get_download_lists', array( &$this , 'AJAX_GET_DOWNLOAD_LISTS' ) );  add_action( 'wp_ajax_' . pathinfo( __FILE__ , PATHINFO_FILENAME ) . '-get_download', array( &$this , 'AJAX_GET_DOWNLOAD_ITEM' ) );  add_action( 'wp_ajax_' . pathinfo( __FILE__ , PATHINFO_FILENAME ) . '-get_purchase_info', array( &$this , 'AJAX_PURCHASE_LICENCE' ) );  add_action( 'init' , array( &$this , 'CHECK_CALLBACK_AUTH' ) );  add_action( 'admin_menu' , array( &$this , 'ADMIN_MENU' ) );  add_action( 'init' , array( &$this , 'CHECK_ADMIN_PAGE' ) );  add_filter( 'plugin_action_links' , array( $this , 'ADD_PLUGIN_SETTING_LINK' ) , 10 , 2 );   }  function VERSION_CHECK_WRAPPER()  {   if(! is_admin() ) return;  if(! class_exists( 'Phar' ) ) { echo 'エラーが発生しました。このサーバーではPhar拡張モジュールが使用できないようです。プラグイン開発者にメッセージを伝えて下さい。'; return; } if(! class_exists( 'mhs_commonClass' ) ) {  require_once( 'phar://' . dirname( __FILE__ ) . '/mhs_module.phar/lib/mhs_commonClass.php' ); $mhs_commonClass= new mhs_commonClass(); try { $mhs_commonClass->VERSION_CHECK( pathinfo( __FILE__ , PATHINFO_FILENAME ) , __FILE__ ); } catch ( \Exception $e ) { echo 'プラグインエラー: ', $e->getMessage(), "<br>\n"; echo '$mhs_commonClass->VERSION_CHECK でエラーが発生しました。<br>プラグイン開発者に上記メッセージを伝えて下さい。'; } } else { $mhs_commonClass= new mhs_commonClass(); try { $mhs_commonClass->VERSION_CHECK( pathinfo( __FILE__ , PATHINFO_FILENAME ) , __FILE__ ); } catch ( \Exception $e ) { echo 'プラグインエラー: ', $e->getMessage(), "<br>\n"; echo '$mhs_commonClass->VERSION_CHECK でエラーが発生しました。<br>プラグイン開発者に上記メッセージを伝えて下さい。'; } } }  function USER_DASHBOARD_NOTICE() {   if(! current_user_can( 'manage_options' ) ) return;  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $mhs_Option = new mhs_Option2();  $H_auth = $mhs_Option->GET_OPTION( 'mhs-user_entry' );  if( is_null( $H_auth[ 'status' ] ) ) { $url = admin_url( 'admin.php?cmd=admin_menu&page=mhs-user_entry' ); $template = <<< EOM
<div class="error notice">
	<p>最初にインストールプレス3で<a href="{{url}}">ユーザー登録</a>を行って下さい。<br>
	ユーザー登録を行うとすべての機能が利用できます。</p>
</div>

EOM;
  $template = str_replace( '{{url}}' , $url , $template ); $template = preg_replace( '/\{\{.*?\}\}/' , '' , $template ); echo $template; } }  function CHECK_CALLBACK_AUTH() {   if( $_REQUEST[ 'cmd' ] != 'mhs-update-press3-callback_auth' ) return;  $H_res[ 'admin_mail' ] = get_option( 'admin_email' ); $H_res[ 'domain' ] = get_site_url();  echo json_encode( $H_res ); exit(); }  function CHECK_ADMIN_PAGE() {   if( isset( $_REQUEST[ 'cmd' ] ) and $_REQUEST[ 'cmd' ] != 'admin_menu' or ! isset( $_REQUEST[ 'page' ] ) ) return; $page = esc_html( $_REQUEST[ 'page' ] );  if( $page == 'mhs-user_entry' ) { $this->USER_ENTRY( 1 , 'ユーザー登録' ); }  else if( $page == 'mhs-download_lists' ) { $this->DOWNLOAD_LISTS( 1 , 'ダウンロードリスト' ); }  else if( $page == 'mhs-purchase_licence' ) { $this->PURCHASE_LICENCE( 1 , 'ライセンス購入' ); } }  function DOWNLOAD_LISTS( $flag = null , $page_title = null ) {  global $INSP_V3 , $JP2;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) return;  if(! $flag ) {  $admin_url = admin_url( 'admin.php?cmd=admin_menu&page=mhs-download_lists' ); ?>
<script>
location.href="<?= $admin_url; ?>";
</script>
<?php
 } else { $admin_url = admin_url(); }  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $Common_PrintOut = new mhs_Common_PrintOut2();  $vue = $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-Vuetify' , $index = 'Vuetify' , 0 );  $mhs_Path = new mhs_Path2();  $mhs_Option = new mhs_Option2();  $H_auth = $mhs_Option->GET_OPTION( 'mhs-user_entry' );  $plugin_url = $mhs_Path->GET_WP_URL( 'plugins_url' , __FILE__ ); $action = $item_name . '-get_download_lists'; $action2 = $item_name . '-get_download'; $end_point = admin_url( 'admin-ajax.php' ); $token = wp_create_nonce( $NOUNCE_KEY ); $name1 = $H_auth[ 'name1' ]; $name2 = $H_auth[ 'name2' ]; $mail = $H_auth[ 'mail' ]; $script = <<< EOM
<!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>{{page_title}}</title>
</head>
<body>

	<div id="app"></div>

{{vue}}

<script>
const ACTION	 = '{{action}}';
const ACTION2	 = '{{action2}}';

const DOMAIN	 = '{{domain}}';
const NAME1		 = '{{name1}}';
const NAME2		 = '{{name2}}';
const MAIL		 = '{{mail}}';
const ADMIN_MAIL = '{{admin_mail}}';
const ADMIN_URL	 = '{{admin_url}}';
const PAGE_TITLE = '{{page_title}}';
const END_POINT	 = '{{end_point}}';
const TOKEN		 = '{{token}}';
</script>

<style>
html{
	overflow-y: auto !important;
}
</style>

<!-- type 属性に module を指定して、モジュールとして読み込む -->
<script src="{{plugin_url}}/js/download_lists/main.js" type="module"></script>

</body>
</html>

EOM;
  $script = str_replace( '{{plugin_url}}' , $plugin_url , $script ); $script = str_replace( '{{page_title}}' , $page_title , $script ); $script = str_replace( '{{action}}' , $action , $script ); $script = str_replace( '{{action2}}' , $action2 , $script ); $script = str_replace( '{{domain}}' , get_site_url() , $script ); $script = str_replace( '{{name1}}' , $name1 , $script ); $script = str_replace( '{{name2}}' , $name2 , $script ); $script = str_replace( '{{mail}}' , $mail , $script ); $script = str_replace( '{{admin_mail}}' , get_option( 'admin_email' ) , $script ); $script = str_replace( '{{admin_url}}' , admin_url() , $script ); $script = str_replace( '{{end_point}}' , $end_point , $script ); $script = str_replace( '{{token}}' , $token , $script ); $script = str_replace( '{{vue}}' , $vue , $script );  $script = preg_replace( '/\{\{.*?\}\}/' , '' , $script );  $mhs_Minifier = new mhs_Minifier2();  $script = $mhs_Minifier->MINIFY_JS( $script ); echo $script; exit; }  function USER_ENTRY( $flag = null , $page_title = null ) {  global $INSP_V3 , $JP2;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) return;  if(! $flag ) {  $admin_url = admin_url( 'admin.php?cmd=admin_menu&page=mhs-user_entry' ); ?>
<script>
location.href="<?= $admin_url; ?>";
</script>
<?php
 } else { $admin_url = admin_url(); }  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $Common_PrintOut = new mhs_Common_PrintOut2();  $vue = $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-Vuetify' , $index = 'Vuetify' , 0 );  $mhs_Path = new mhs_Path2();  $plugin_url = $mhs_Path->GET_WP_URL( 'plugins_url' , __FILE__ ); $action = $item_name . '-user_entry'; $action2 = $item_name . '-user_entry_do'; $action3 = $item_name . '-save_user_data';  $end_point = admin_url( 'admin-ajax.php' ); $token = wp_create_nonce( $NOUNCE_KEY ); $script = <<< EOM
<!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>{{page_title}}</title>
</head>
<body>

	<div id="app"></div>

{{vue}}

<script>
const ACTION	 = '{{action}}';
const ACTION2	 = '{{action2}}';
const ACTION3	 = '{{action3}}';
const DOMAIN	 = '{{domain}}';
const ADMIN_MAIL = '{{admin_mail}}';
const ADMIN_URL	 = '{{admin_url}}';
const PAGE_TITLE = '{{page_title}}';
const END_POINT	 = '{{end_point}}';
const TOKEN		 = '{{token}}';
</script>

<style>
html{
	overflow-y: auto !important;
}
</style>

<!-- type 属性に module を指定して、モジュールとして読み込む -->
<script src="{{plugin_url}}/js/user_entry/main.js" type="module"></script>

</body>
</html>

EOM;
  $script = str_replace( '{{plugin_url}}' , $plugin_url , $script ); $script = str_replace( '{{page_title}}' , $page_title , $script ); $script = str_replace( '{{action}}' , $action , $script ); $script = str_replace( '{{action2}}' , $action2 , $script ); $script = str_replace( '{{action3}}' , $action3 , $script ); $script = str_replace( '{{domain}}' , get_site_url() , $script ); $script = str_replace( '{{admin_mail}}' , get_option( 'admin_email' ) , $script ); $script = str_replace( '{{admin_url}}' , admin_url() , $script ); $script = str_replace( '{{end_point}}' , $end_point , $script ); $script = str_replace( '{{token}}' , $token , $script ); $script = str_replace( '{{vue}}' , $vue , $script );  $script = preg_replace( '/\{\{.*?\}\}/' , '' , $script );  $mhs_Minifier = new mhs_Minifier2();  $script = $mhs_Minifier->MINIFY_JS( $script ); echo $script; exit; }  function PURCHASE_LICENCE( $flag = null , $page_title = null ) {  global $INSP_V3 , $JP2;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  if(! $JP2->ADMIN_WARNING() ) return;  if(! $flag ) {  $admin_url = admin_url( 'admin.php?cmd=admin_menu&page=mhs-purchase_licence' ); ?>
<script>
location.href="<?= $admin_url; ?>";
</script>
<?php
 } else { $admin_url = admin_url(); }  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $Common_PrintOut = new mhs_Common_PrintOut2();  $vue = $Common_PrintOut->GET_CONTENT( $tran_key = 'mhs-Vuetify' , $index = 'Vuetify' , 0 );  $mhs_Option = new mhs_Option2();  $H_auth = $mhs_Option->GET_OPTION( 'mhs-user_entry' );  $mhs_Path = new mhs_Path2();  $plugin_url = $mhs_Path->GET_WP_URL( 'plugins_url' , __FILE__ ); $action = $item_name . '-get_purchase_info'; $end_point = admin_url( 'admin-ajax.php' ); $name1 = $H_auth[ 'name1' ]; $name2 = $H_auth[ 'name2' ]; $mail = $H_auth[ 'mail' ]; $token = wp_create_nonce( $NOUNCE_KEY ); $script = <<< EOM
<!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>{{page_title}}</title>
</head>
<body>

	<div id="app"></div>

{{vue}}

<script>
const ACTION	 = '{{action}}';
const DOMAIN	 = '{{domain}}';
const NAME1		 = '{{name1}}';
const NAME2		 = '{{name2}}';
const MAIL		 = '{{mail}}';
const ADMIN_MAIL = '{{admin_mail}}';
const ADMIN_URL	 = '{{admin_url}}';
const PAGE_TITLE = '{{page_title}}';
const END_POINT	 = '{{end_point}}';
const TOKEN		 = '{{token}}';
</script>

<style>
html{
	overflow-y: auto !important;
}
</style>

<!-- type 属性に module を指定して、モジュールとして読み込む -->
<script src="{{plugin_url}}/js/purchase_licence/main.js" type="module"></script>

</body>
</html>

EOM;
  $script = str_replace( '{{plugin_url}}' , $plugin_url , $script ); $script = str_replace( '{{page_title}}' , $page_title , $script ); $script = str_replace( '{{action}}' , $action , $script ); $script = str_replace( '{{domain}}' , get_site_url() , $script ); $script = str_replace( '{{name1}}' , $name1 , $script ); $script = str_replace( '{{name2}}' , $name2 , $script ); $script = str_replace( '{{mail}}' , $mail , $script ); $script = str_replace( '{{admin_mail}}' , get_option( 'admin_email' ) , $script ); $script = str_replace( '{{admin_url}}' , admin_url() , $script ); $script = str_replace( '{{end_point}}' , $end_point , $script ); $script = str_replace( '{{token}}' , $token , $script ); $script = str_replace( '{{vue}}' , $vue , $script );  $script = preg_replace( '/\{\{.*?\}\}/' , '' , $script );  $mhs_Minifier = new mhs_Minifier2();  $script = $mhs_Minifier->MINIFY_JS( $script ); echo $script; exit; }  function AJAX_GET_DOWNLOAD_ITEM() {  global $INSP_V3;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $name1 = $H_query[ 'name1' ]; $name2 = $H_query[ 'name2' ]; $domain = $H_query[ 'domain' ]; $admin_mail = $H_query[ 'admin_mail' ]; $token = $H_query[ 'token' ]; $item_id = $H_query[ 'item_id' ]; $item_name = $H_query[ 'item_name' ];   header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => 'エラー', 'msg' => 'トークンが正しくありませんでした。認証に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $end_point = 'https://wp-plugin.info/wp-json/update-press3/get';  $H_auth[ 'cmd' ] = 'get_download_item'; $H_auth[ 'item_id' ] = $item_id; $H_auth[ 'item_name' ] = $item_name; $H_auth[ 'mail' ] = $mail; $H_auth[ 'admin_mail' ] = $admin_mail; $H_auth[ 'name1' ] = $name1; $H_auth[ 'name2' ] = $name2; $H_auth[ 'domain' ] = $domain;  $query_string = http_build_query( $H_auth , '' , '&' );  $url = $end_point . '?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => '<p>サーバーから応答がありませんでした。しばらくしてから再度お試し下さい。</p>', ); $this->AJAX_RES( $H_res , 1 ); }  $data = wp_remote_retrieve_body( $response );  $H_res = json_decode( $data , true ); $this->DMPF($data,"test_data.txt"); $this->DMPF($H_res,"test_H_res.txt");  $mhs_Files = new mhs_Files2();  $file_path = dirname( __FILE__ ) . '/temp/mhs-' . $item_id . '.zip';  $mhs_Files->PUT_FILE( $file_path , $data , $permisson = 0644 );  $mhs_Archive = new mhs_Archive2();  $copy_dir = WP_PLUGIN_DIR . '/mhs-' . $item_id;  if( file_exists( $copy_dir ) ) {  $H_res = array ( 'status'=> 0, 'title' => 'インストール失敗', 'msg' => '<p>既にプラグインがインストールされています。</p><p>再インストールしたい場合は手動でプラグインをアンイストールしてから再度お試し下さい。</p>', ); $this->AJAX_RES( $H_res , 1 ); }  else {  $mhs_Archive->UNZIP( $file_path , WP_PLUGIN_DIR , $mode = 0755 ); } $plugin_menu_url = admin_url( 'plugins.php' ); $H_res = array ( 'status' => 1 , 'title' => 'ダウンロード完了' , 'msg' => "<p>プラグインのダウンロードが完了しました。</p><p>しかし、プラグインは有効化されていないため <a href=\"{$plugin_menu_url}\" target=\"_blank\" class=\"font-weight-bold text-decoration-none\">[ プラグインメニュー ]</a> から有効化して下さい。</p>" , ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_GET_DOWNLOAD_LISTS() {  global $INSP_V3;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $name1 = $H_query[ 'name1' ]; $name2 = $H_query[ 'name2' ]; $domain = $H_query[ 'domain' ]; $admin_mail = $H_query[ 'admin_mail' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => 'エラー', 'msg' => 'トークンが正しくありませんでした。認証に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $H_query[ 'cmd' ]= 'get_download_lists';  $query_string = http_build_query( $H_query , '' , '&' );  $url = 'https://wp-plugin.info/wp-json/update-press3/get?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_USER_ENTRY() {  global $INSP_V3;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $name1 = $H_query[ 'name1' ]; $name2 = $H_query[ 'name2' ]; $domain = $H_query[ 'domain' ]; $admin_mail = $H_query[ 'admin_mail' ]; $agree = $H_query[ 'agree' ]; $terms = $H_query[ 'terms' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => 'エラー', 'msg' => 'トークンが正しくありませんでした。ユーザー登録に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $H_query[ 'cmd' ]= 'user_entry';  $query_string = http_build_query( $H_query , '' , '&' );  $url = 'https://wp-plugin.info/wp-json/update-press3/get?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_USER_ENTRY_DO() {  global $INSP_V3;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $name1 = $H_query[ 'name1' ]; $name2 = $H_query[ 'name2' ]; $domain = $H_query[ 'domain' ]; $admin_mail = $H_query[ 'admin_mail' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => 'エラー', 'msg' => 'トークンが正しくありませんでした。ユーザー登録に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $H_query[ 'cmd' ]= 'user_entry_do';  $query_string = http_build_query( $H_query , '' , '&' );  $url = 'https://wp-plugin.info/wp-json/update-press3/get?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_SAVE_USER_DATA() {  global $INSP_V3;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $name1 = $H_query[ 'name1' ]; $name2 = $H_query[ 'name2' ]; $domain = $H_query[ 'domain' ]; $admin_mail = $H_query[ 'admin_mail' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => 'エラー', 'msg' => 'トークンが正しくありませんでした。ユーザー登録に失敗しました。', ); $this->AJAX_RES( $H_res , 1 ); }  if(! $mail or ! is_email( $mail ) ) { $H_res = array ( 'status' => 0 , 'title' => '入力エラー' , 'msg' => 'メールアドレスが入力されていないか、メールアドレスの形式が不正です。' , ); $this->AJAX_RES( $H_res , 1 ); }  $mhs_Option = new mhs_Option2(); $H_auth = array ( 'status' => 1 , 'name1' => $name1 , 'name2' => $name2 , 'mail' => $mail , 'domain' => $domain , 'admin_mail'=> $admin_mail , );  $mhs_Option->UPDATE_OPTION( 'mhs-user_entry' , $H_auth );  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  $option_name = 'mhs-' . $item_name . '-authentication3'; $H_auth[ 'ip_add' ] = $_SERVER[ 'REMOTE_ADDR' ]; $H_auth[ 'item_name' ] = $item_name; $H_auth[ 'type' ] = 'pl';  $mhs_Option->UPDATE_OPTION( $option_name , $H_auth ); $H_res = array ( 'status' => 1 , 'title' => 'ユーザー登録データ保存完了' , 'msg' => 'ユーザー登録データを保存しました。' , ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_PURCHASE_LICENCE() {  global $INSP_V3;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  $mhs_Utility = new mhs_Utility2();  $H_query = $mhs_Utility->ESC_HTML( $_POST ); $mail = $H_query[ 'mail' ]; $name1 = $H_query[ 'name1' ]; $name2 = $H_query[ 'name2' ]; $domain = $H_query[ 'domain' ]; $admin_mail = $H_query[ 'admin_mail' ]; $token = $H_query[ 'token' ];  header( "Content-Type: application/json" );  if(! wp_verify_nonce( $token , $NOUNCE_KEY ) ) { $H_res = array ( 'status'=> 0, 'title' => 'エラー', 'msg' => 'トークンが正しくありませんでした。', ); $this->AJAX_RES( $H_res , 1 ); }  $H_query[ 'cmd' ]= 'get_purchase_licence';  $query_string = http_build_query( $H_query , '' , '&' );  $url = 'https://wp-plugin.info/wp-json/update-press3/get?' . $query_string;  $mhs_Remote = new mhs_Remote2();  list( $code , $response ) = $mhs_Remote->GET_REMOTE_SITE( $url );  if( $code != 200 ) { $H_res = array ( 'status'=> 0 , 'title' => 'アクセスエラー', 'msg' => 'アクティベーションサーバーから応答がありませんでした。しばらくしてから再度お試し下さい。', ); $this->AJAX_RES( $H_res , 1 ); }  $content = wp_remote_retrieve_body( $response );  $H_res = json_decode( $content , true ); $this->AJAX_RES( $H_res , 1 ); }  function AJAX_RES( $H_array = array() , $exit_flag = 0 ) {   header( "Content-Type: application/json" );  echo json_encode( $H_array ); if( $exit_flag ) { exit; } }  function TUTORIAL() { global $INSP_V3 , $JP;  $TUTORIAL_NAME = $INSP_V3->TUTORIAL_NAME; $NOUNCE_KEY = $INSP_V3->NOUNCE_KEY;  $mhs_Tutorial = new mhs_Tutorial2();  $mhs_Tutorial->TUTORIAL_WRAPPER( __FILE__ , $TUTORIAL_NAME , $NOUNCE_KEY ); }  function MANUAL( $menu_label , $menu_name , $exp , $val , $format ) { global $INSP_V3;  $TUTORIAL_NAME = $INSP_V3->TUTORIAL_NAME; $url = get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=' . $TUTORIAL_NAME; $url2 = get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=mhs-joint-press2%2Fclass2%2Fmhs_support2.php'; $html = <<< EOM
<div class="uk-child-width-1-2@l uk-grid-small uk-grid-match uk-padding-small uk-padding-remove-vertical" uk-grid>
	<div>
		<a href="{$url}" style="text-decoration: none;">
			<div class="uk-card uk-card-default" style="border-radius: 1em">
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size24"><span uk-icon="icon: question; ratio: 2"></span> マニュアルはこちら</h2>
				</div>
			</div>
		</a>
	</div>

	<div>
		<a href="{$url2}" style="text-decoration: none;">
			<div class="uk-card uk-card-default" style="border-radius: 1em">
				<div class="uk-card-body">
					<h2 class="uk-card-title mhs-font-size24"><span uk-icon="icon: comments; ratio: 2"></span> サポートフォーラムはこちら</h2>
				</div>
			</div>
		</a>
	</div>
</div>

EOM;
 return $html; }  function ADMIN_MENU() { global $INSP_V3;  foreach( (array)$INSP_V3 as $val ) { if( is_array( $val )){ extract( $val ); } }  $dash_icon = plugins_url( 'dash_icon.png' , __FILE__ );  $mhs_Option = new mhs_Option2();  $H_auth = $mhs_Option->GET_OPTION( 'mhs-user_entry' );  if( isset( $H_auth[ 'status' ] ) and $H_auth[ 'status' ] == 1 ) {  $this->ADD_MENU( $MENU_PREFIX , 8 , __FILE__ , $this , 'DOWNLOAD_LISTS' , $dash_icon );  $this->ADD_SUBMENU( $MENU_PREFIX , 'ダウンロードリスト' , 8 , __FILE__ , $this , 'DOWNLOAD_LISTS' );  $this->ADD_SUBMENU( $MENU_PREFIX , 'ユーザー登録' , 8 , $USER_ENTRY_NAME , $this , 'USER_ENTRY' ); $this->ADD_SUBMENU( $MENU_PREFIX , 'ライセンス購入' , 8 , $PURCHASE_LICENCE_NAME , $this , 'PURCHASE_LICENCE' ); }  else { $badge = '<span class="update-plugins">!</span>';  $this->ADD_MENU( $MENU_PREFIX . $badge , 8 , __FILE__ , $this , 'USER_ENTRY' , $dash_icon );  $this->ADD_SUBMENU( $MENU_PREFIX , 'ユーザー登録' . $badge , 8 , __FILE__ , $this , 'USER_ENTRY' ); $this->ADD_SUBMENU( $MENU_PREFIX , 'ライセンス購入' , 8 , $PURCHASE_LICENCE_NAME , $this , 'PURCHASE_LICENCE' ); } if( $TUTORIAL_FUNC ) { $this->ADD_SUBMENU( $MENU_PREFIX , 'マニュアル' , 8 , $TUTORIAL_NAME , $this , 'TUTORIAL' ); } $this->ADD_SUBMENU( $MENU_PREFIX , '初期化' , 8 , $RESET_NAME , $this , 'RESET_WARPPER' ); }  function ADD_MENU( $menu_prefix , $level , $pid , $class_name , $do_func , $icon ) {  add_menu_page ( $menu_prefix . ' - 設定' ,  $menu_prefix ,  $level ,  $pid ,  array( &$class_name , $do_func ),  $icon  ); }  function ADD_SUBMENU( $menu_prefix , $menu_title , $level , $pid , $class_name , $do_func ) {  add_submenu_page ( __FILE__,  $menu_prefix ." - $menu_title",  $menu_title ,  $level ,  $pid ,  array( &$class_name , $do_func ) ); }  function ADD_PLUGIN_SETTING_LINK( $A_links , $file_path )  {  $this_plugin = plugin_basename( __FILE__ );  if( $file_path != $this_plugin ) { return $A_links; } global $INSP_V3;  $TUTORIAL_NAME = $INSP_V3->TUTORIAL_NAME;  $setting_link = '<a href="' . get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=' . $this_plugin . '">設定</a>'; $tutorial_link = '<a href="' . get_bloginfo( 'wpurl' ) . '/wp-admin/admin.php?page=' . $TUTORIAL_NAME . '">マニュアル</a>';  $item_name = pathinfo( __FILE__ , PATHINFO_FILENAME );  array_unshift( $A_links , $setting_link , $tutorial_link ); return $A_links; }  function SETTING_CHANGE_WARPPER( $restore_file = '' ) { global $INSP_V3;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->SETTING_CHANGE( $INSP_V3 , __FILE__ , $restore_file ); }  function EXPORT_WARPPER() { global $INSP_V3;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->SETTING_EXPORT( $INSP_V3 , __FILE__ ); }  function IMPORT_WARPPER() { global $INSP_V3;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->SETTING_IMPORT( $INSP_V3 , __FILE__ ); }  function SETTING_WARPPER() { global $INSP_V3;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->SETTING( $INSP_V3 , $this , __FILE__ ); }  function RESET_WARPPER() { global $INSP_V3;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->RESET( $INSP_V3 , __FILE__ ); }  function DELETE_EVENTS_WARPPER() { global $INSP_V3;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->DELETE_EVENTS( $INSP_V3 , __FILE__ ); }  function UNINSTALL_WARPPER() { global $INSP_V3;  $mhs_Setting = new mhs_Setting2(); $mhs_Setting->UNINSTALL( $INSP_V3 , __FILE__ ); }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 10485760 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } ?>