// App コンポーネント（ルートコンポーネント）をインポート
import { App } from "./App.js";

const { createVuetify } = Vuetify;

const vuetify = createVuetify();

// createApp メソッドをグローバルビルドから分割代入で取得
const { createApp } = Vue;

const { createPinia } = Pinia;

//App コンポーネントを渡してアプリのインスタンスを生成してマウント
const app = createApp(App);
app.use(vuetify);
app.use(createPinia());
app.mount("#app");
