//必要なメソッドをグローバルビルドから分割代入で取得
const { ref, onUpdated } = Vue;

//import { useCounterStore } from "../composables/use_counter_store.js";

// コンポーネントを定義してエクスポート
export const AppBar =
{
	props			:
	{
//		parent		: String
	},
	setup( props , context )
	{
		return {  };
	},
	data			: () =>
	({
		page_title	: PAGE_TITLE ,
		admin_url	: ADMIN_URL ,
		drawer		: false ,
		group		: null ,
		items		:
		[{
			title	: 'ダッシュボード',
			subtitle: 'WordPressの管理画面に戻ります' ,
			url		: ADMIN_URL ,
		},
		{
			title	: '阿修羅ワークス',
			subtitle: '開発元' ,
			url		: 'https://wp-plugin.info/' ,
		}],
	}),
	watch			:
	{
		group()
		{
			this.drawer	= false
		},
	},
	template		: `
<v-app-bar
 color="blue-darken-4"
 density="compact"
>
	<template v-slot:prepend>
		<v-app-bar-nav-icon
		 variant="text"
		 @click.stop="drawer = !drawer">
		</v-app-bar-nav-icon>
	</template>

	<v-app-bar-title>
		<v-btn
		 variant="text"
		 :href="admin_url"
		 class="pa-0"
		>{{page_title}}</v-btn>
	</v-app-bar-title>

<!--
	<template v-slot:append>
		<v-btn icon="mdi-dots-vertical"></v-btn>
	</template>
-->
</v-app-bar>

<!-- ナビゲーションドロアー -->
<v-navigation-drawer
 v-model="drawer"
 location="left"
 temporary
>

	<v-list lines="one">
		<v-list-item
		 v-for="item in items"
		 :href="item.url"
		 :key="item.title"
		 :title="item.title"
		 :subtitle="item.subtitle"
		></v-list-item>
	</v-list>

</v-navigation-drawer>
<!-- /ナビゲーションドロアー -->


`
};
