import { AppBar } from "../../components/AppBar.js";
import { AppFooter } from "../../components/AppFooter.js";
import { AppMain } from "./AppMain.js";

//必要なメソッドをグローバルビルドから分割代入で取得
const { computed , ref , onUpdated } = Vue;

//共通コンポーネントを取得
//import { useCounterStore } from "../composables/use_counter_store.js";

// コンポーネントを定義してエクスポート
export const RootApp =
{
	components		:
	{
		'app-bar'	: AppBar ,
		'app-main'	: AppMain ,
		'app-footer': AppFooter ,
	},
	setup()
	{
		return {
		};

	},
	data			: () =>
	({

	}),
	template		: `
<v-app>
	<app-bar />

	<app-main />

	<app-footer />
</v-app>
` ,

};

